//
//  CityEditorViewController.swift
//  El Vuelo del Grajo
//
//  Created by Santiago Pavón on 7/12/14.
//  Copyright (c) 2014 UPM. All rights reserved.
//

import UIKit

class CityEditorViewController: UIViewController {

    // Ciudad a editar
    var city: String!
    
    @IBOutlet weak var cityTextField: UITextField!
  
    
    override func viewDidLoad() {
        super.viewDidLoad()

        cityTextField.text = city
    
        cityTextField.becomeFirstResponder()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func donePressed(sender: UITextField) {
        
        performSegueWithIdentifier("Edit Done", sender: cityTextField)
    }

    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        
        if segue.identifier == "Edit Done" {
            
            city = cityTextField.text
            
        } else if segue.identifier == "Edit Cancel" {
            
            // No hago nada
        }
    }

}
